#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

EXTERN_C void xs_init (pTHX);

EXTERN_C void boot_Apache (pTHX_ CV* cv);
EXTERN_C void boot_Apache__Constants (pTHX_ CV* cv);
EXTERN_C void boot_Apache__ModuleConfig (pTHX_ CV* cv);
EXTERN_C void boot_Apache__Log (pTHX_ CV* cv);
EXTERN_C void boot_Apache__URI (pTHX_ CV* cv);
EXTERN_C void boot_Apache__Util (pTHX_ CV* cv);
EXTERN_C void boot_Apache__Connection (pTHX_ CV* cv);
EXTERN_C void boot_Apache__Server (pTHX_ CV* cv);
EXTERN_C void boot_Apache__File (pTHX_ CV* cv);
EXTERN_C void boot_Apache__Table (pTHX_ CV* cv);
EXTERN_C void boot_DynaLoader (pTHX_ CV* cv);

EXTERN_C void
xs_init(pTHX)
{
    static const char file[] = __FILE__;
    dXSUB_SYS;
    PERL_UNUSED_CONTEXT;

    newXS("Apache::bootstrap", boot_Apache, file);
    newXS("Apache::Constants::bootstrap", boot_Apache__Constants, file);
    newXS("Apache::ModuleConfig::bootstrap", boot_Apache__ModuleConfig, file);
    newXS("Apache::Log::bootstrap", boot_Apache__Log, file);
    newXS("Apache::URI::bootstrap", boot_Apache__URI, file);
    newXS("Apache::Util::bootstrap", boot_Apache__Util, file);
    newXS("Apache::Connection::bootstrap", boot_Apache__Connection, file);
    newXS("Apache::Server::bootstrap", boot_Apache__Server, file);
    newXS("Apache::File::bootstrap", boot_Apache__File, file);
    newXS("Apache::Table::bootstrap", boot_Apache__Table, file);
    /* DynaLoader is a special case */
    newXS("DynaLoader::boot_DynaLoader", boot_DynaLoader, file);
}
